<?php
/**
 *  The only change you can make here is to override the main Auto Menu Pages first button name
 *  There is also a way to ovveride by using the AM Pages Config from Admin but it is not yet done
 *  in this version. Anyway you can set up the main button title in Admin->AM Pages Config.
 *  It will be working in next version automatically.
 *
 *  Find this line : 	$gbl_proddesc_tab_name = "Main Page";      here bellow
 *
 *  and change the main button title "Main Page" to anything you want the first button title to be.
 *
 *  TIP AUTHOR : CHARIS CHRISOCHOOU 24/05/2007  - GREECE - NO OTHER MODIFICATION TO THE FILE
 *  READ ABOUT AUTHOR HERE BELLOW :
 *
 * Tabs module - prepares information for use in Tabbed Product Lite
 * Tabbed Products Lite
 * 11-Sep-2006 - QHome (qhomezone@gmail.com)
 *
 * @package modules
 * @copyright Copyright 2003-2006 Zen Cart Development Team
 * @copyright Portions Copyright 2003 osCommerce
 * @license http://www.zen-cart.com/license/2_0.txt GNU Public License V2.0
 * @version $Id: tabbed_products_lite.php 3018 2006-09-11 21:04:04Z qhome $
 */
 
 ?>
<!-- Tabbed Products Lite v3.8 :: 25-Oct-2006 :: (modules/tabbed_products_lite.php) AdminEdition -->   
<?php
//-=-=-=- BOF: Tabbed Products Config -=-=-=-
//############   GLOBALS   ##############
  $bGblProdDescTab =              true;  // Forces the Product Description to globally be in a tab
  $bGblMainImageOnTabs =          false;  // adds Main image to tabs only if you have at least one custom tab
  $bGblAddToCart =                false;  // adds Add to Cart, Attribute Options, and Qty Discount to a tab
  $bGblAdditionalImages =         false;  // adds Additional Images on its own tab
  $bGblCustomersAlsoPurchased =   false;  // adds Customers Also Purchased as its own tab
  $bGblMediaCollection =          false;  // adds Media Collection as its own tab (MUSIC PRODUCT TYPE ONLY)
  $bGblReviews_Tab =              false;  // adds Reviews as its own tab
//###########   CROSS-SELL   ############
//=-=-= IMPORTANT!!!! IF YOU DON'T HAVE CROSS SELL CONTRIB, DON'T ENABLE THIS OR YOU WILL GET ERRORS!!!! =-=-=
  $bCrossSell_Exists =            false;  // if you have cross sell contrib installed, this enables the code to check for it.
  $bGblCrossSell_Tab =            false;  // adds Cross Sell as its own tab only if the above is true.
//############   HEADERS   ##############  
  $bShowHeaders =                 false;  // Turns the headers underneath each tab on. Headers bear the tab name for a nice look.
  $bShowHeadersNoJavascript =     true;  // If javascript is disabled, do you want to show headers to help separate the sections 
  $bGblUseSubTags =               true;  // allows the use of sub tags to allow more than one module on the same tab
//###########   TAB NAMES   #############
/* ++ Added to Language File: product_info_tabbed_products_lite_defines.php ++ */
	$gbl_proddesc_tab_name = "Main Page"; // If using the tabbed view for this info, set the tab title for Gbl Product Description
	$addtocart_tab_name = TEXT_TAB_TITLE_ADD_TO_CART; // if using this tab, set the tab title for the Add To Cart Tab
	$add_images_tab_name = TEXT_TAB_TITLE_ADDITONAL_IMAGES; // if using this tab, set the tab title for the Additional Images Tab 
	$cust_also_purchased_tab_name = TEXT_TAB_TITLE_CUST_ALSO_PURCHASED; // if using this tab, set the tab title for the Cust Also Purchased Tab 
	$cross_sell_tab_name = TEXT_TAB_TITLE_CROSS_SELL; // if using this tab, set the tab title for the CrossSell Tab
	$media_collection_tab_name = TEXT_TAB_TITLE_MEDIA_COLLECTION; // if using this tab, set the tab title for the Media Manager/Collection (MUSIC PRODUCT TYPE ONLY)
	$reviews_tab_name = TEXT_TAB_TITLE_REVIEWS; // if using this tab, set the tab title for the Reviews
//########################################	
//-=-=-=- EOF: Tabbed Products Config -=-=-=-

//-=-=-=- BOF: Tabbed Products Initialization -=-=-=-
$proddata = stripslashes($products_description);
if ($proddata != "") {
	$IgnoreGlobals = strpos($proddata, "<!--@IgnoreGlobals@-->");
	//if ($bGblProdDescTab == true && intval($IgnoreGlobals) >= 0) {$bGblProdDescTab = false;}
	if ($bGblProdDescTab == true && strval($IgnoreGlobals) != NULL) {$bGblProdDescTab = false;}
  $first_char_tag = strpos($proddata, "<!--%");
  if (intval($first_char_tag) != 0 || strval($first_char_tag) == '') {
    if ($bGblProdDescTab == true) {
      $proddata = '<!--%'. $gbl_proddesc_tab_name . '%-->'. $proddata;
    }
  }
  $chkTabStart = strpos($proddata, "<!--%");
  $chkTabEnd = strpos($proddata, "%-->");
  $chkHardtagStart = strpos($proddata, "<!--#");
  $chkHardtagEnd = strpos($proddata, "#-->");
  $sub_AddToCart = "<!--*sub_AddToCart(";
	$sub_AttributeOptions = "<!--*sub_AttributeOptions(";
	$sub_AdditionalImages = "<!--*sub_AdditionalImages(";
	$sub_CustomersAlsoPurchased = "<!--*sub_CustomersAlsoPurchased(";
	$sub_CrossSell = "<!--*sub_CrossSell(";
	$sub_Reviews = "<!--*sub_Reviews(";
	//###########   HARD TAGS   #############
	$bMainImageOnTabs = strpos($proddata, "<!--#MainImage#-->");
	$DoctorBet = strpos($proddata, "<!--#AddToCart#-->");
	$EnergiSyndromi = strpos($proddata, "<!--#AdditionalImages#-->");
	$PlirwmeniSyndromi = strpos($proddata, "<!--#CustomersAlsoPurchased#-->");
	$EgineEisodos = strpos($proddata, "<!--#Reviews#-->");
	if ($IgnoreGlobals === false) {
  	if ($bGblMainImageOnTabs == true) {$bMainImageOnTabs = 1;}
  	if ($bGblAddToCart == true) {$bAddToCart = 1;}
  	if ($bGblAdditionalImages == true) {$bAdditionalImages = 1;}
  	if ($bGblCustomersAlsoPurchased == true) {$bCustomersAlsoPurchased = 1;}
  	if ($bGblReviews_Tab == true && $IgnoreGlobals === false) {$bReviews_Tab = 1;}
  } 
	$prod_type = (zen_get_info_page((int)$_GET['products_id']));
	if ($prod_type == "product_music_info") {
	  $bMediaCollection = strpos($proddata, "<!--#MediaCollection#-->");
	  if ($bGblMediaCollection == true && $IgnoreGlobals === false) {$bMediaCollection = 1;}
	}
	if ($bCrossSell_Exists != false) {
		$bCrossSell_Tab = strpos($proddata, "<!--#CrossSell#-->");
		if ($bGblCrossSell_Tab == true && $bCrossSell_Exists == true && $IgnoreGlobals === false) {$bCrossSell_Tab = true;}
	}
	//-- sub tag tab check
	if ($bGblUseSubTags == 1) {
	  $bsubtab_AttributeOptions = strpos($proddata, $sub_AttributeOptions);
    $bsubtab_AddToCart = strpos($proddata, $sub_AddToCart);
  	$bsubtab_AdditionalImages = strpos($proddata, $sub_AdditionalImages);
	  $bsubtab_CustomersAlsoPurchased = strpos($proddata, $sub_CustomersAlsoPurchased);
	  $bsubtab_CrossSell = strpos($proddata, $sub_CrossSell);
	  $bsubtab_Reviews = strpos($proddata, $sub_Reviews);
	}
	//--
} else { 
	$chkTabStart = 						        false;
	$chkTabEnd = 							        false;
	$bMainImageOnTabs = 			        false;
	$bAddToCart = 						        false;
	$bAdditionalImages = 			        false;
	$bCustomersAlsoPurchased =        false;
	$bCrossSell_Tab = 				        false;
	$bMediaCollection =               false;
	$bReviews_Tab =                   false;
	$bsubtab_AttributeOptions =       false;
	$bsubtab_AddToCart =              false;
	$bsubtab_AdditionalImages =       false;
	$bsubtab_CustomersAlsoPurchased = false;
	$bsubtab_CrossSell =              false;
	$bsubtab_Reviews =                false;
	//####################################
}// end $proddata check
//-=-=-=- EOF: Tabbed Products Initialization -=-=-=-	
?>