<?php

/**
 * Module Template
 *
 * @package templateSystem
 * @copyright Copyright 2003-2006 Zen Cart Development Team
 * @copyright Portions Copyright 2003 osCommerce
 * @license http://www.zen-cart.com/license/2_0.txt GNU Public License V2.0
 * @version $Id: tpl_modules_downloads.php 4829 2006-10-24 21:39:15Z drbyte $
 *
 * Modified by lebrand2006 for use with a Subscription System
 *
 */

?>

<?php require(DIR_WS_MODULES . zen_get_module_directory('downloads.php')); ?>
<?php if ($downloads->RecordCount() > 0) { ?>
<frameset>
<?php
    while (!$downloads->EOF) {
      list($dt_year, $dt_month, $dt_day) = explode('-', $downloads->fields['date_purchased_day']);
      $download_timestamp = mktime(23, 59, 59, $dt_month, $dt_day + $downloads->fields['download_maxdays'], $dt_year);
      $download_expiry = date('Y-m-d H:i:s', $download_timestamp);   
?>       
<!-- left box -->
<?php
//      if ( ($downloads->fields['download_count'] > 0) && (file_exists(DIR_FS_DOWNLOAD . $downloads->fields['orders_products_filename'])) && ( ($downloads->fields['download_maxdays'] == 0) || ($download_timestamp > time())) ) {
      if ( (file_exists(DIR_FS_DOWNLOAD . $downloads->fields['orders_products_filename']) && (($downloads->fields['download_count'] > 0 && $download_timestamp > time()) || $downloads->fields['download_maxdays'] == 0)) ) {
        $zv_filesize = filesize (DIR_FS_DOWNLOAD . $downloads->fields['orders_products_filename']);
        if ($zv_filesize >= 1024) {
          $zv_filesize = number_format($zv_filesize/1024/1000,2);
          $zv_filesize_units = TEXT_FILESIZE_MEGS;
        } else {
          $zv_filesize = number_format($zv_filesize);
          $zv_filesize_units = TEXT_FILESIZE_BYTES;
        }           
?>
       <br><font color="#FF0000"><b><?php echo "and expires on : "?><?php echo ($downloads->fields['download_maxdays'] == 0 ? TEXT_DOWNLOADS_UNLIMITED : zen_date_long($download_expiry)); ?></font></b>
       <br><?php require(DIR_WS_SUBSCRIBERS . 'am_pages_menu_construction.php'); ?>

<?php } else { ?>

       
       <?php echo SUB_DAYS_COUNT; ?>
       <?php echo $downloads->fields['download_maxdays']; ?>
       <?php echo WORD_DAYS_FOR_SUB; ?>
       <?php echo "and expired on "?><?php echo ($downloads->fields['download_maxdays'] == 0 ? TEXT_DOWNLOADS_UNLIMITED : zen_date_long($download_expiry)); ?>
       <br>
       <br>
       <?php echo SUBSCRIPTION_EXPIRED;?>

<?php
      }
?>

    
<?php
    $downloads->MoveNext();
    
    }

?>
  </frameset>

<?php
// old way
//    if (!strstr($PHP_SELF, FILENAME_ACCOUNT_HISTORY_INFO)) {
// new way
      if (!($_GET['main_page']==FILENAME_ACCOUNT_HISTORY_INFO)) {
?>
<p><?php printf(FOOTER_DOWNLOAD, '<a href="' . zen_href_link(FILENAME_ACCOUNT, '', 'SSL') . '">' . HEADER_TITLE_MY_ACCOUNT . '</a>'); ?></p>
<?php } else { ?>
<?php
// other pages if needed
      }
?>

<?php
} // $downloads->RecordCount() > 0
?>

<?php
// download is not available yet
if ($downloads_check_query->RecordCount() > 0 and $downloads->RecordCount() < 1) {
?>
 <fieldset><?php echo DOWNLOADS_CONTROLLER_ON_HOLD_MSG ?></fieldset>
<?php
}
?>
